@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&display=swap');

body {
  font-family: "Oswald", sans-serif;
  color: #040000;
  scroll-behavior: smooth;
}

*{
  scroll-behavior: smooth;
}

.uvod{
  margin-left: 80px;
  margin-right: 80px;
}

.spec{
  height: 100%!important;
  margin-top: 10px!important;
  margin-bottom: 20px!important;
  background: none!important;
  border: none!important;
}

.layout_padding {
  padding-top: 120px;
  padding-bottom: 120px;
}

.layout_padding2 {
  padding: 45px 0;
}

.layout_padding2-top {
  padding-top: 45px;
}

.layout_padding33-bottom {
  padding-bottom: 100px;
}

.layout_padding2-bottom {
  padding-bottom: 45px;
  padding-top: 100px;
}

.layout_padding-top {
  padding-top: 120px;
}

.layout_padding-bottom {
  padding-bottom: 120px;
}

.heading_container {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
}

.heading_container h2 {
  font-weight: bold;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-transform: uppercase;
  font-family: "Oswald", sans-serif;
}

.about_section {
                        overflow-x: hidden; /* Prevent horizontal overflow */
                    }

                    .textt, .img-box {
                        display: flex;
                        align-items: center; /* Center the content vertically */
                        height: 100%; /* Make them full height */
                    }

                    .textt p{
                      margin-left: 30px;
                    }

                    .slide-in-right {
                        transform: translateX(100%);
                        opacity: 0;
                        transition: transform 1s ease-out, opacity 1s ease-out;
                        visibility: hidden; /* Hide initially */
                    }

                    .slide-in-right.active {
                        transform: translateX(0);
                        opacity: 1;
                        visibility: visible; /* Show when animation starts */
                    }

                    .slide-in-left {
                        transform: translateX(-100%);
                        opacity: 0;
                        transition: transform 1s ease-out, opacity 1s ease-out;
                        visibility: hidden; /* Hide initially */
                    }

                    .slide-in-left.active {
                        transform: translateX(0);
                        opacity: 1;
                        z-index: 9999;
                        visibility: visible; /* Show when animation starts */
                    }


.heading_container p {
  margin-bottom: 0;
}

.heading_container.heading_center {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-align: center;
}

h1,
h2 {
  font-family: "Oswald", sans-serif;
}

a,
a:hover,
a:focus {
  text-decoration: none;
}
.hero_area {
  position: relative;
  background: linear-gradient( rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5) ),url("../images/main-img.jpg");
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.hero_area2 {
  position: relative;
  background: #1e1e1e;
}

.header_section .container-fluid {
  padding-right: 25px;
  padding-left: 25px;
}

.header_section .header_top {
  padding: 15px 0;
  background-color: #000000;
}

.header_section .header_top .contact_nav {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
}

.header_section .header_top .contact_nav a {
  color: #ffffff;
}

.header_section .header_top .contact_nav a i {
  color: #ff8a1d;
}

.header_section .header_bottom {
  padding: 10px 0;
}

.navbar-brand {
  padding: 0;
  margin: 0;
  color: #000000;
  font-weight: bold;
  font-size: 24px;
  font-weight: bold;
}

.navbar-brand span {
  color: #0355cc;
  text-transform: uppercase;
}

.custom_nav-container {
  padding: 0;
}

.custom_nav-container .navbar-nav {
  margin-left: auto;
}

.custom_nav-container .navbar-nav .nav-item .nav-link {
  padding: 10px 25px;
  color: white;
  text-align: center;
}

.custom_nav-container .navbar-nav .nav-item:hover .nav-link, .custom_nav-container .navbar-nav .nav-item.active .nav-link {
  color: #fedb10;
}

.custom_nav-container .form-inline .nav_search-btn {
  width: 35px;
  height: 35px;
  padding: 0;
  border: none;
  color: #000000;
}

.custom_nav-container .form-inline .nav_search-btn:hover {
  color: #0355cc;
}

.custom_nav-container .navbar-toggler {
  outline: none;
}

.custom_nav-container .navbar-toggler {
  padding: 0;
  width: 37px;
  height: 42px;
  -webkit-transition: all .3s;
  transition: all .3s;
}

.custom_nav-container .navbar-toggler span {
  display: block;
  width: 35px;
  height: 4px;
  background-color: white;
  margin: 7px 0;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  position: relative;
  border-radius: 5px;
  -webkit-transition: all .3s;
  transition: all .3s;
}

.custom_nav-container .navbar-toggler span::before, .custom_nav-container .navbar-toggler span::after {
  content: "";
  position: absolute;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: white;
  top: -10px;
  border-radius: 5px;
  -webkit-transition: all .3s;
  transition: all .3s;
}

.custom_nav-container .navbar-toggler span::after {
  top: 10px;
}

.custom_nav-container .navbar-toggler[aria-expanded="true"] {
  -webkit-transform: rotate(360deg);
          transform: rotate(360deg);
}

.custom_nav-container .navbar-toggler[aria-expanded="true"] span {
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
}

.custom_nav-container .navbar-toggler[aria-expanded="true"] span::before, .custom_nav-container .navbar-toggler[aria-expanded="true"] span::after {
  -webkit-transform: rotate(90deg);
          transform: rotate(90deg);
  top: 0;
}

.custom_nav-container .navbar-toggler[aria-expanded="true"] .s-1 {
  -webkit-transform: rotate(45deg);
          transform: rotate(45deg);
  margin: 0;
  margin-bottom: -4px;
}

.custom_nav-container .navbar-toggler[aria-expanded="true"] .s-2 {
  display: none;
}

.custom_nav-container .navbar-toggler[aria-expanded="true"] .s-3 {
  -webkit-transform: rotate(-45deg);
          transform: rotate(-45deg);
  margin: 0;
  margin-top: -4px;
}

.custom_nav-container .navbar-toggler[aria-expanded="false"] .s-1,
.custom_nav-container .navbar-toggler[aria-expanded="false"] .s-2,
.custom_nav-container .navbar-toggler[aria-expanded="false"] .s-3 {
  -webkit-transform: none;
          transform: none;
}
.slider_section {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  background-size: cover;
  background-position: bottom;
}

.slider_section .row {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.slider_section #customCarousel1 {
  width: 100%;
  position: unset;
}

.slider_section .detail-box {
  padding-bottom: 150px;
  padding-top: 130px;
  text-align: center;
}

.slider_section .detail-box h1 {
  font-weight: bold;
  margin-bottom: 25px;
  font-size: 45px;
  color: white;
}

.slider_section .detail-box p {
  color: white;
  font-size: 20px;
  padding: 0px 100px;
}

.slider_section .detail-box a {
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  font-weight: bold;
  padding: 10px 45px;
  background-color: #fedb10;
  border: 2px solid #fedb10;
  border-radius: 5px;
  color: #1e1e1e;
  margin-top: 15px;
  transition: all 0.3s linear;
}

.slider_section .detail-box a:hover {
  background-color: transparent;
  color: #fedb10;
}

.slider_section .img-box img {
  width: 100%;
}

.about_section{
  background: url('');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.about_section .row {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.about_section .detail-box{
  background-color: white;
  box-shadow: 5px 5px 5px #d9d9d9;
  border-radius: 5px;
  padding: 20px;
  margin-top: 40px;
}

.about_section .detail-box h2 {
  text-transform: uppercase;
  font-weight: bold;
}

.about_section .detail-box p {
  margin-top: 10px;
}

.about_section .detail-box a {
  margin-top: 15px;
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 45px;
  background-color: #0355cc;
  border: 1px solid #0355cc;
  border-radius: 2px;
  color: #ffffff;
}

.about_section .detail-box a:hover {
  background-color: transparent;
  color: #0355cc;
}

.about_section .img-box img {
  width: 100%;
  height: 500px;
  border-radius: 5px;
  object-fit: cover;
}

.service_section {
  position: relative;
  background-color: white;
}

.service_section h1{
  color: black;
}

.service_section .box {
  margin-top: 30px;
  text-align: center;
  -webkit-box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.15);
          box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.15);
  padding: 25px 15px;
  -webkit-transition: all .3s;
  transition: all .3s;
  box-shadow: 5px 5px 5px #d9d9d9;
  display: -webkit-box;
  border-radius: 5px;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
      border: 2px solid white;
          align-items: center;
          transition: all 0.1s linear;
}

.service_section .box .img-box {
  width: 85px;
  height: 85px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.service_section .box .img-box h2 {
  font-size: 60px;
   -webkit-text-stroke-width: 3px;
  -webkit-text-stroke-color: white;
  color: #1e1e1e;
}

.service_section .box .detail-box {
  margin-top: 15px;
}

.service_section .box .detail-box h5 {
  font-weight: bold;
  color: #1e1e1e;
}

.service_section .box .detail-box p {
  margin: 0;
  color: #1e1e1e;
}
.service_section .box:hover{
  border: 2px solid #fedb10;
  cursor: pointer;
}


.service_section .btn-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 45px;
}

.service_section .btn-box a {
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 45px;
  background-color: #0355cc;
  border: 1px solid #0355cc;
  border-radius: 0;
  color: #ffffff;
}

.dvere{
  border: 2px solid #1e1e1e;
  min-height: 355px;
  height: 100%;
  width: 100%;
  cursor: pointer;
}

.skrina-klik{
  font-size: 16px;
  color: #1e1e1e;
}

  .image-container {
    position: relative;
    display: inline-block;
    width: 100%;
    overflow: hidden; /* Ensures the image stays within bounds when moving */
  }

  .image-container img {
    display: block;
    width: 100%;
    border-radius: 5px;
    filter: brightness(0.6);
    transition: transform 0.3s ease, filter 0.3s ease; /* Smooth transition for hover effects */
  }

  .image-container:hover img {
    transform: translateY(-10px); /* Move the image slightly up */
  }



   .image-container2 {
    position: relative;
    display: inline-block;
    width: 100%;
    overflow: hidden; /* Ensures the image stays within bounds when moving */
  }

  .image-container2 img {
    display: block;
    width: 100%;
    border-radius: 5px;
    transition: transform 0.3s ease, filter 0.3s ease; /* Smooth transition for hover effects */
  }

  .image-container2:hover img {
    transform: translateY(-10px); /* Move the image slightly up */
  }

  .detail-boxs {
    position: absolute;
    top: 50%;
    text-align: center;
    color: white;
    font-size: 2rem;
    font-weight: bold;
    z-index: 2; /* Ensures the text stays above the image */
    pointer-events: none; /* Prevents interference with hover */
  }

  .box2 {
    position: relative;
    transition: transform 0.3s ease; /* Smooth transition for hover effects */
  }

  .box2:hover {
    transform: translateY(-10px); /* Move the box slightly up */
  }


.parallax_section {
  background-image: linear-gradient( rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3) ),url('../images/p1.jpg'); /* Replace with your image path */
  height: 100vh; /* Full-screen height */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}

.parallax_section2 {
  background-image: linear-gradient( rgba(0, 0, 0, 0.3), rgba(0, 0, 0, 0.3) ),url('../images/p2.jpg'); /* Replace with your image path */
  height: 100vh; /* Full-screen height */
  background-attachment: fixed;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  align-items: center;
  justify-content: center;
}


#dataList{
  list-style: none;
  padding: 10px 20px;
  box-shadow: 5px 5px 5px #d9d9d9;
  margin-top: 30px;
  border-radius: 5x;
}

.textin{
  font-weight: 700;
}

.vyskaa,
.vyskaa2,
.vyskaa3,
.vyskaa4,
.vyskaa5,
.vyskaasp,
.vyskaa2sp,
.vyskaa3sp,
.vyskka4sp,
#vyskka,
#vyskka2,
#vyskka3,
#vyskka4,
#vyskka5,
#vyskka6{
  font-weight: 700;
}

.form-control{
  box-shadow: none!important;
  outline: none!important;
}

.form-control:hover,
.form-control:active,
.form-control:focus{
  box-shadow: none!important;
  outline: none!important;
  border: 1px solid black!important;
}

.sirkaa{
  font-weight: 700;
}

#divisionInfoContainer p{
  margin-bottom: 0px;
}

.config_section {
  position: relative;
}

.config_section h1{
  color: #1e1e1e;
}

.config_section .box {
  margin-top: 30px;
  text-align: center;
  -webkit-box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.15);
          box-shadow: 0 0 5px 2px rgba(0, 0, 0, 0.15);
  padding: 25px 15px;
  -webkit-transition: all .3s;
  transition: all .3s;
  box-shadow: 5px 5px 5px #d9d9d9;
  display: -webkit-box;
  border-radius: 5px;
  display: -ms-flexbox;
  display: flex;
  border: 2px solid white;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
          transition: all 0.1s linear;
}

.config_section .box .img-box {
  width: 65px;
  height: 65px;
  padding: 50px;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.config_section .box .detail-box {
  margin-top: 15px;
}

.config_section .box .detail-box h5 {
  font-weight: bold;
  color: #1e1e1e;
}

.config_section .box .detail-box p {
  margin: 0;
  color: #1e1e1e;
}
.config_section .box:hover{
  cursor: pointer;
  border: 2px solid #fedb10;
}


.config_section .btn-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin-top: 45px;
}

.config_section .btn-box a {
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 45px;
  background-color: #0355cc;
  border: 1px solid #0355cc;
  border-radius: 0;
  color: #ffffff;
}

.config_section .btn-box a:hover {
  background-color: transparent;
  color: #0355cc;
}


.progress-container {
            text-align: center;
            padding-top: 50px;
            width: 100%;
        }
        progress {
            width: 40%;
            height: 20px;
            border-radius: 5px;
            background-color: #f3f3f3;
            color: #fedb10;
            -webkit-appearance: none;
            appearance: none;
        }
        progress::-webkit-progress-bar {
            border-radius: 5px;
            background-color: #f3f3f3;
        }
        progress::-webkit-progress-value {
            border-radius: 5px;
            background-color: #fedb10;
        }
        progress::-moz-progress-bar {
            border-radius: 5px;
            background-color: #fedb10;
        }
        .progress-text {
            margin-top: 10px;
            color: #1e1e1e;
            font-size: 18px;
        }


        ol {
      list-style: none;
      counter-reset: item;
      padding-left: 0;
      color: black;
    }
    .cislo {
      counter-increment: item;
      margin-bottom: 15px;
      display: flex;
      align-items: center;
    }
    .cislo:before {
      content: counter(item);
      background: #1e1e1e;
      border-radius: 5px;
      color: white;
      font-weight: bold;
      width: 1.8em;
      height: 35px;
      display: flex;
      justify-content: center;
      align-items: center;
      margin-right: 10px;
    }

    .cislo2 {
      margin-bottom: 15px;
      display: flex;
      list-style: none;
      align-items: center;
    }
    input[type="text"] {
      padding: 5px 10px;
      width: 100%;
    }

    .priestory{
      padding: 5px 10px;
      width: 100%;
      color: #737373;
    }



.heading_container {
  margin-bottom: 30px;
}

.contact_sectionsp{
  background-color: #1e1e1e;
  color: white;
}

.contact_section input {
  width: 100%;
  height: 50px;
  margin-bottom: 25px;
  padding-left: 25px;
  background-color: #ffffff;
  outline: none;
  color: #1e1e1e;
  border: 2px solid #1e1e1e;
  -webkit-box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
          box-shadow: 0 0 7px 0 rgba(0, 0, 0, 0.2);
}

.contact_section input:hover,
.contact_section input:focus,
.contact_section input:active
{
  border: 2px solid #1e1e1e!important;
}

.contact_section input::-webkit-input-placeholder {
  color: #1e1e1e;
}

.contact_section input:-ms-input-placeholder {
  color: #1e1e1e;
}

.contact_section input::-ms-input-placeholder {
  color: #1e1e1e;
}

.contact_section input::placeholder {
  color: #1e1e1e;
}

.contact_section input.message-box {
  height: 100px;
}

.contact_section button {
  border: none;
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 55px;
  width: 100%;
  background-color: #fedb10;
  border: 2px solid #fedb10;
  border-radius: 0;
  color: #1e1e1e;
  font-weight: bold;
  border-radius: 5px;
  margin-top: 15px;
  transition: all 0.2s linear;
}

.contact_section button:hover,
.contact_section button:focus,
.contact_section button:active
{
  background-color: transparent!important;;
  color:  #fedb10!important;;
  border-color: #fedb10!important;;
  box-shadow: none!important;
  outline: none!important;
}

.praca-img{
  width: 100%;
  height: 260px;
  object-fit: cover;
  padding-bottom: 30px;
}

.about_section a{
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 55px;
  width: 100%;
  background-color: #fedb10!important;
  border: 2px solid #fedb10!important;
  border-radius: 0;
  color: #1e1e1e!important;
  font-weight: bold;
  border-radius: 5px;
  margin-top: 20px;
  transition: all 0.2s linear;
}

.about_section a:hover,
.about_section a:focus,
.about_section a:active
{
  background-color: transparent!important;;
  color:  #fedb10!important;;
  border-color: #fedb10!important;;
  box-shadow: none!important;
  outline: none!important;
}


.numDivsBtn {
  border: none;
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 40px;
  width: 100%;
  background-color: #fedb10;
  border: 2px solid #fedb10;
  border-radius: 0;
  color: #1e1e1e;
  font-weight: bold;
  font-size: 15px;
  border-radius: 5px;
  margin-top: 15px;
  transition: all 0.2s linear;
  margin-bottom: 10px;
}

.numDivsBtn:hover,
.numDivsBtn:focus,
.numDivsBtn:active
{
  background-color: transparent!important;;
  color:  #fedb10!important;
  border-color: #fedb10!important;;
  box-shadow: none!important;
  outline: none!important;
}



.contact_section a {
  border: none;
  display: inline-block;
  font-family: "Oswald", sans-serif;
  text-transform: uppercase;
  padding: 10px 55px;
  width: 100%;
  text-align: center;
  background-color: #fedb10;
  border: 2px solid #fedb10;
  border-radius: 0;
  color: #1e1e1e;
  font-weight: bold;
  border-radius: 5px;
  margin-top: 15px;
  transition: all 0.2s linear;
}

.contact_section a:hover,
.contact_section a:focus{
  background-color: transparent;
  color:  #fedb10;
  box-shadow: none!important;
  outline: none!important;
}

.contact_section .map_container {
  height: 360px;
}

.contact_section .map_container .map {
  height: 100%;
}

.footer_section {
  background-color: #1e1e1e;
  margin-top: auto; /* Pushes the footer to the bottom */
  width: 100%;
  bottom: 0px;
}

.footer_section p {
  margin: 0;
  padding: 25px 0;
  color: #ffffff;
  text-align: center;
}

.footer_section a {
  color: inherit;
}

.skrina {
  background-color: white;
  border: 2px solid black;
  border-bottom: 1px solid black;
  height: 100%;
  margin-left: -2px;
  min-height: 355px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  font-size: 12px;
  text-align: center;
  object-fit: cover;
  cursor: pointer;
}


.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: hidden; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
  background-color: #fefefe;
  margin: 15% auto; /* 15% from the top and centered */
  padding: 20px;
  padding-bottom: 0px;
  border: 1px solid #888;
  width: 30%; /* Could be more or less, depending on screen size */
}

/* Ensure all image containers have the same height */
    .image-container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        height: auto; /* Set a fixed height */
        margin-bottom: 20px;
    }

    /* Ensure all images fit properly */
    .image-input {
        width: 100%;
        height: auto;
        max-height: 100%; /* Restrict the height to allow space for the text */
    }

    /* Center-align the labels */
    .image-label {
        text-align: center;
        margin-top: 10px;
    }

.skrina:hover,
.skrina:focus,
.skrina:active {
  border: 2px solid #fedb10; /* Highlight on hover or focus */
}

.skrina.active {
  border: 2px solid #fedb10; /* Active state border color */
}

.zoznam{
  display: none;
}


.individual-input{
  display: none;
}

